com.amazon.redshift.jre7.sasl

## Class ScramAuthenticator

- java.lang.Object
- - com.amazon.redshift.jre7.sasl.ScramAuthenticator

    public class ScramAuthenticator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ScramAuthenticator(String user, String password, RedshiftStream pgStream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `processServerFirstMessage(int length)`
`void` `processServerMechanismsAndInit()`
`void` `sendScramClientFirstMessage()`
`void` `verifyServerSignature(int length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScramAuthenticator

    public ScramAuthenticator(String user,
                              String password,
                              RedshiftStream pgStream)

### Method Detail

#### processServerMechanismsAndInit

    public void processServerMechanismsAndInit()
                                        throws IOException,
                                               RedshiftException

Throws:
  `IOException`
  `RedshiftException`

#### sendScramClientFirstMessage

    public void sendScramClientFirstMessage()
                                     throws IOException

Throws:
  `IOException`

#### processServerFirstMessage

    public void processServerFirstMessage(int length)
                                   throws IOException,
                                          RedshiftException

Throws:
  `IOException`
  `RedshiftException`

#### verifyServerSignature

    public void verifyServerSignature(int length)
                               throws IOException,
                                      RedshiftException

Throws:
  `IOException`
  `RedshiftException`